import
  mike,
  nimja/parser,
  segfaults

proc faculty*(ctx: Context): string =
  compileTemplateFile(getScriptDir() / "view" / "faculty_admin.html")

proc facultyLogin*(ctx: Context): string =
  compileTemplateFile(getScriptDir() / "view" / "faculty_login.html")

proc facultySignUp*(ctx: Context): string =
  compileTemplateFile(getScriptDir() / "view" / "faculty_signup.html")

proc postFacultySignUp*(ctx: Context)=
  var
    form = ctx.urlForm

    username = form["username"]
    password = form["password"]

  ctx &= initCookie("username", username)
  ctx &= initCookie("password", password)
